<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content="black">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<title>搜索</title>
	<meta name="description" content="">
	<meta name="keywords" content="">
	<link href="{pigcms::RES}/wap/faceClass/css/normalize.css?v=20161123" rel="stylesheet">
	<link href="{pigcms::RES}/wap/faceClass/css/style.css?v=20161123" rel="stylesheet">
</head>

<body>
	<header class="fixed">
		<form action="{pigcms::U('kecheng',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id']))}">
			<div class="search-box">
				<a href="javascript:void(0)" id="btn-search"><i class="ico ico-search"></i></a>
				<input autocomplete="no" type="search" name="keyword" id="keyword" placeholder="输入关键字...">
				<a href="javascript:history.back();" id="btn-search-cancel">取消</a>
			</div>
		</form>
	</header>
	<section class="search-results">
		<ul></ul>
	</section>

	<section class="blank-page search fadeInUp" style="display: none; height: auto;">
		<i class="ico-blankpage"></i>
		<div>
			<em>没有匹配的课程</em>
		</div>
		<p>请输入其他关键字试试！</p>
	</section>

    <script>
    	var COURSE_URL = "{pigcms::U('detail',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'itemId'=>'ITEMID'))}";
    </script>
	<script type="text/x-jquery-tmpl" id="tpl-list-item">
		{{each records}}
		<li><a href="${COURSE_URL.replace('ITEMID',item_id)}">{{html title}}</a></li>
		{{/each}}
	</script>

	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery-3.1.1.min.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery.tmpl.min.js?v=20161123"></script>
    <script src="{pigcms::RES}/wap/faceClass/js/scripts.js?v=20161123"></script>
    <script>
	    jQuery(function($) {

	    	function render(data, keyword) {

	    		if (data && data.constructor === Array && data.length > 0) {

		    		$('.search-results').show();
		    		$('.blank-page').hide();

		    		var $list = $('#tpl-list-item').tmpl({ records: data });
		    		$('.search-results ul').empty().append($list);
		    	} else {
		    		$('.search-results').hide();
		    		$('.blank-page').show();
		    	}
	    	}

	    	var inputTicket;
	    	var asyncSearchXHR;

	    	// 清除关键字输入框
	    	$('.search-results ul').on('touchstart mousedown', 'a', function() {
	    		$('#keyword').val('');
	    	});

	    	// 阻止表单的默认提交事件
	    	$('form').on('submit', function(event) {
	    		event.preventDefault();
	    	});

	    	// 输入框输入事件
	    	$('#keyword').on('keyup', function(event) {
	    		event.preventDefault();

	    		var oldValue = $(this).data('old');
	    		var keyword = this.value;

	    		if (keyword && oldValue !== keyword) {
	    			clearTimeout(inputTicket);
	    			if (asyncSearchXHR) {
	    				asyncSearchXHR.abort();
	    			}

	    			inputTicket = setTimeout(function() {
	    				asyncSearchXHR = $.ajax({
	    					url: $('form').attr('action'),
	    					data: {keyword: keyword},
	    					type: 'GET',
	    					dataType: 'JSON',
	    					success: function(result) {
	    						render(result.data, keyword);
	    					}
	    				});
	    			}, 200);
	    		} else if (!keyword) {
	    			$('.search-results ul').empty();
	    		}

	    		$(this).data('old', keyword);
	    	});

	    });
    </script>
</body>
</html>
